apiVersion: v1

name: opensource/python/python36

tags:
- '3.6'
- latest

args:
  BASE_IMAGE: redhat/ubi/ubi8
  BASE_TAG: "8.5"

labels:
  org.opencontainers.image.title: python36
  org.opencontainers.image.description: Python programming language
  org.opencontainers.image.licenses: Python Software Foundation
  org.opencontainers.image.url: https://www.python.org/
  org.opencontainers.image.vendor: Python Software Foundation
  org.opencontainers.image.version: '3.6'
  mil.dso.ironbank.image.keywords: python, programming language
  mil.dso.ironbank.image.type: opensource
  mil.dso.ironbank.product.name: python

resources:
- filename: python.tar.gz
  url: https://github.com/python/cpython/archive/refs/tags/v3.6.15.tar.gz
  validation:
    type: sha256
    value: 4bd039a54a9d8b169a5dbdfbc1de75f746c24765d2246dc78ee49797d21fb358
- filename: pip-21.3-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/90/a9/1ea3a69a51dcc679724e3512fc2aa1668999eed59976f749134eb02229c8/pip-21.3-py3-none-any.whl
  validation:
    type: sha256
    value: 4a1de8f97884ecfc10b48fe61c234f7e7dcf4490a37217011ad9369d899ad5a6
- filename: setuptools-59.6.0-py3-none-any.whl
  url: https://files.pythonhosted.org/packages/b0/3a/88b210db68e56854d0bcf4b38e165e03be377e13907746f825790f3df5bf/setuptools-59.6.0-py3-none-any.whl
  validation:
    type: sha256
    value: 4ce92f1e1f8f01233ee9952c04f6b81d1e02939d6e1b488428154974a4d0783e
- filename: wheel-0.37.1-py2.py3-none-any.whl
  url: https://files.pythonhosted.org/packages/27/d6/003e593296a85fd6ed616ed962795b2f87709c3eee2bca4f6d0fe55c6d00/wheel-0.37.1-py2.py3-none-any.whl
  validation:
    type: sha256
    value: 4bdcd7d840138086126cd09254dc6195fb4fc6f01c050a1d7236f2630db1d22a

maintainers:
- email: ironbank@dsop.io
  username: sean.melissari
  name: sean.melissari
  cht_member: true
